# GpuQuadraticCurveRender::Runner Class Reference

It acts as a controller between render, logic and user interaction. It's executed by GlutWrapper::Window through GlutWrapper::IRunner interface. Also the right mouse menus are defined through GlutWrapper::IMenuListener (GetMenuEntries method). More...

`#include <Runner.h>`

Inheritance diagram for GpuQuadraticCurveRender::Runner:

List of all members.

## Public Member Functions
| Runner (void)
| Constructor.
| ~Runner (void)
| Destructor.
void | InitializeOpengl (int width, int height)
| Creates opengl context and initialize some opengl states.
void | Run (void)
| It runs a step of the test. It renders the string points, segments or triangles (if they are enabled).
void | Reshape (int width, int height)
| It configs opengl with the new render window width and height.
void | ProcessMenuEvents (int option)
| It process the events sent from right button mouse menu. Depending on the event it calls logic methods.
void | ProcessMouse (const GlutWrapper::MouseState &mouseState)
| It processes the mouse events.
const std::vector < GlutWrapper::MenuEntry > & | GetMenuEntries (void) const
| It gets the entries of the right button mouse menu.

## Detailed Description

It acts as a controller between render, logic and user interaction. It's executed by GlutWrapper::Window through GlutWrapper::IRunner interface. Also the right mouse menus are defined through GlutWrapper::IMenuListener (GetMenuEntries method).

## Member Function Documentation

const std::vector< GlutWrapper::MenuEntry > & Runner::GetMenuEntries | ( | void |  | ) | const

It gets the entries of the right button mouse menu.

Returns:
  entries of the right button mouse menu.

See also:
  GlutWrapper::IMenuListener

void Runner::InitializeOpengl | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Creates opengl context and initialize some opengl states.

Parameters:

  | width | render window width
  | height | render window height

See also:
  GlutWrapper::IRunner

Implements GlutWrapper::IRunner.

void Runner::ProcessMenuEvents | ( | int | option | ) | `[virtual]`

It process the events sent from right button mouse menu. Depending on the event it calls logic methods.

Parameters:

  | option | the menu option

See also:
  GlutWrapper::IMenuListener

Implements GlutWrapper::IMenuListener.

void Runner::ProcessMouse | ( | const GlutWrapper::MouseState & | mouseState | ) | `[virtual]`

It processes the mouse events.

Parameters:

  | mouseState | state of the mouse

Implements GlutWrapper::IMouseListener.

void Runner::Reshape | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

It configs opengl with the new render window width and height.

Parameters:

  | width | new render window width
  | height | new render window height

See also:
  GlutWrapper::IRunner

Implements GlutWrapper::IRunner.

void Runner::Run | ( | void |  | ) | `[virtual]`

It runs a step of the test. It renders the string points, segments or triangles (if they are enabled).

See also:
  GlutWrapper::IRunner

Implements GlutWrapper::IRunner.

The documentation for this class was generated from the following files:

- src/GpuQuadraticCurveRender/Runner.h
- src/GpuQuadraticCurveRender/Runner.cpp